Page MenuHomePhabricator

Media player always set the volume to max when you start/restart the playback
Closed, ResolvedPublic

Description

User story
Every time I want to play a video/audio, I want to reduce the volume to about 30% first, otherwise it's too loud. But once I clicked "play", it would just be reset back to 100% (tested on Chrome and Firefox). This is very annoying.

STR

  1. Open any media (e.g. https://commons.wikimedia.org/wiki/File:Voiceless_palato-alveolar_affricate.ogg )
  2. Adjust volume
  3. Click play

What happened
It changes the volume to the max once the playback starts.

What should happen
It shouldn't.

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterFix volume resetting to 100% when starting playback

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2016, 3:35 PM
fireattack updated the task description. (Show Details)Oct 5 2016, 3:35 PM
fireattack updated the task description. (Show Details)
matmarex removed a subscriber: matmarex.Oct 6 2016, 3:51 PM
Paladox added a subscriber: Paladox.Oct 6 2016, 4:04 PM
matmarex claimed this task.Oct 6 2016, 4:40 PM
matmarex triaged this task as Normal priority.

Change 314584 had a related patch set uploaded (by Bartosz Dziewoński):
Fix volume resetting to 100% when starting playback

https://gerrit.wikimedia.org/r/314584

Change 314584 merged by jenkins-bot:
Fix volume resetting to 100% when starting playback

https://gerrit.wikimedia.org/r/314584

matmarex closed this task as Resolved.Oct 6 2016, 11:49 PM
matmarex removed a project: Patch-For-Review.

This issue has been fixed and the fix will be deployed to Wikimedia wikis with MediaWiki version 1.28.0-wmf.22 next week, 11-13 October 2016 (probably), per https://www.mediawiki.org/wiki/MediaWiki_1.28/Roadmap.